This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 796621

Summary: "Kernel Options" not populated correctly if "=" character is included inside parameter
Product: [Fedora] Fedora Reporter: Jan Stodola <jstodola>
Component: cobblerAssignee: Bill Peck <bpeck>
Status: CLOSED DEFERRED QA Contact: Release Test Team <release-test-team>
Severity: high Docs Contact:
Priority: high    
Version: 15CC: awood, borgan, bpeck, dcallagh, drieden, jimi, mcsontos, rmancy, scott, stl, vanmeeuwen+fedora
Target Milestone: ---Keywords: TestBlocker
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-03-12 09:06:40 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 799508    

Description Jan Stodola 2012-02-23 05:47:22 EST
Description of problem:

"Kernel Options" and "Kernel Options Post" doesn't work properly if "=" character is included inside any parameter (for example: my_parameter="my_option=enable").

Then, when one goes to the "Provision" tab and selects appropriate distro, "Kernel Options" fields are not populated correctly:
parameter="my_option
is appended, but second part:
=enable"
is missing

Version-Release number of selected component (if applicable):
Beaker-0.8.0 

How reproducible:
always

Steps to Reproduce:
1. In the "Install Options" tab, add new item with "Kernel Options" or "Kernel Options Post" field in form:
my_parameter="my_option=enable"
2. go to the "Provision" tab and select appropriate distro
3. check parameters in "Kernel Options (Install)" / "Kernel Options (Post)" fields
  
Actual results:
parameter="my_option

Expected results:
my_parameter="my_option=enable"